### Class

# Gio NativeVolumeMonitor

since: 2.0

#### Description

    abstract class Gio.NativeVolumeMonitor : Gio.VolumeMonitor
    {
      /* No available fields */
    }

No description available.

Available since: 2.0

#### Ancestors

- GVolumeMonitor
- GObject

#### Instance methods

##### Methods inherited from GVolumeMonitor (5)

###### g_volume_monitor_get_connected_drives

Gets a list of drives connected to the system.

since: 2.0

###### g_volume_monitor_get_mount_for_uuid

Finds a `GMount` object by its UUID (see g_mount_get_uuid())

since: 2.0

###### g_volume_monitor_get_mounts

Gets a list of the mounts on the system.

since: 2.0

###### g_volume_monitor_get_volume_for_uuid

Finds a `GVolume` object by its UUID (see g_volume_get_uuid())

since: 2.0

###### g_volume_monitor_get_volumes

Gets a list of the volumes on the system.

since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GVolumeMonitor (12)

###### GVolumeMonitor::drive-changed

Emitted when a drive changes.

since: 2.0

###### GVolumeMonitor::drive-connected

Emitted when a drive is connected to the system.

since: 2.0

###### GVolumeMonitor::drive-disconnected

Emitted when a drive is disconnected from the system.

since: 2.0

###### GVolumeMonitor::drive-eject-button

Emitted when the eject button is pressed on `drive`.

since: 2.18

###### GVolumeMonitor::drive-stop-button

Emitted when the stop button is pressed on `drive`.

since: 2.22

###### GVolumeMonitor::mount-added

Emitted when a mount is added.

since: 2.0

###### GVolumeMonitor::mount-changed

Emitted when a mount changes.

since: 2.0

###### GVolumeMonitor::mount-pre-unmount

May be emitted when a mount is about to be removed.

since: 2.0

###### GVolumeMonitor::mount-removed

Emitted when a mount is removed.

since: 2.0

###### GVolumeMonitor::volume-added

Emitted when a mountable volume is added to the system.

since: 2.0

###### GVolumeMonitor::volume-changed

Emitted when mountable volume is changed.

since: 2.0

###### GVolumeMonitor::volume-removed

Emitted when a mountable volume is removed from the system.

since: 2.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioNativeVolumeMonitorClass {
      GVolumeMonitorClass parent_class;
      GMount* (* get_mount_for_mount_path) (
        const char* mount_path,
        GCancellable* cancellable
      );

    }

No description available.

###### Class members

`parent_class: GVolumeMonitorClass`
  No description available.
`get_mount_for_mount_path: GMount* (* get_mount_for_mount_path) ( const char* mount_path, GCancellable* cancellable )`
  No description available.